Bug 1418559 - [Docs][RFE][Ironic] Document proxy support for image download in agent drivers
Summary: [Docs][RFE][Ironic] Document proxy support for image download in agent drivers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: async
: 9.0 (Mitaka)
Assignee: Sandra McCann
QA Contact: Lukas Ruzicka
URL:
Whiteboard:
Depends On: 1337761
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 05:11 UTC by Lucy Bopf
Modified: 2017-03-24 15:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 15:38:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lucy Bopf 2017-02-02 05:11:30 UTC
Ironic Python Agent now supports using a proxy for downloading user images. Steps for enabling this functionality for the Bare Metal Provisioning service must be documented.

See http://docs.openstack.org/developer/ironic/drivers/ipa.html?highlight=proxy#using-proxies-for-image-download-in-agent-drivers for an upstream example.

Comment 1 Lucy Bopf 2017-02-21 01:23:38 UTC
Assigning to Sandra for review.


Note You need to log in before you can comment on or make changes to this bug.